WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Warning: Invalid argument supplied for foreach() in .../wp-incl (2 posts)

  1. capotea
    Member
    Posted 1 year ago #

    Since you want anyone with a problem to start a new topic I will open my own too.
    I understand the reasons why you want us to do that: it's easier to handle for the moderators. OK, no problem.

    I have tried all this (below) and it gives me a messed up site and a lot of work reparing it all.

    - deactivating all plugins to see if this resolves the problem. If this works, re-activate the plugins one by one until you find the problematic plugin(s).

    - switching to the Twenty Eleven theme to rule out any theme-specific problems.

    - resetting the plugins folder by FTP or PhpMyAdmin. Sometimes, an apparently inactive plugin can still cause problems.

    - re-uploading all files & folders - except the wp-content folder - from a fresh download of WordPress. Make sure that you delete the old copies of files & folder before uploading the new ones.

    I'm not an expert, but when googling on the exact error I get many results (https://www.google.com/webhp?sourceid=chrome-instant&ion=1&ie=UTF-8#hl=nl&tbo=d&output=search&sclient=psy-ab&q=Warning%3A%20Invalid%20argument%20supplied%20for%20foreach()%20in%20wp-includes%2Fpost.php%20on%20line%203588&oq=&gs_l=&pbx=1&fp=1&bpcl=39942515&ion=1&biw=1440&bih=785&bav=on.2,or.r_gc.r_pw.r_cp.r_qf.&cad=b).

    Doesn't this mean that it's a bug in WP3.5?
    Also the error is known to wordpress-coders: http://core.trac.wordpress.org/ticket/22883

    Instead of trying to repair things myself, isn't it better to wait for a bugfix?
    Or am I wrong?

  2. capotea
    Member
    Posted 1 year ago #

    I was wrong...
    It was the plugin http://wordpress.org/extend/plugins/synved-shortcodes/ causing the problems.

    Sorry.

Topic Closed

This topic has been closed to new replies.

About this Topic